{ config, lib, pkgs, ... }:

# Doom emacs overlay
let

doom-emacs = pkgs.callPackage (builtins.fetchTarball {
  url = https://github.com/vlaci/nix-doom-emacs/archive/master.tar.gz;
}) {
  doomPrivateDir = ./doom.d;
};

in

{
  environment.systemPackages = with pkgs; [
    # Monitoring
    htop
    # Password management
    pass-wayland
    passff-host
    gitAndTools.pass-git-helper
    # Browsers
    firefox
    chromium
    # LaTeX
    texlive.combined.scheme-full
    pandoc
    # Text editors
    doom-emacs
    neovim
    # Terminals
    tmux
    tmuxp
    # Development
    git
    direnv
    lorri
  ];

  # Fonts declaration
  fonts = {
    fonts = with pkgs; [
      google-fonts
      siji
      cherry
      iosevka
    ];
  };

}
